QGIS Application - Bug report #21662

qgis grass v.voronoi processing tool incorrectly only allows point layers to be selected
2019-03-24 05:15 PM - Dolf Andringa

Status:
Priority:
Assignee:
Category:

Closed

High

Giovanni Manghi
Processing/GRASS

Affected QGIS version:3.6.0

Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: Yes
Resolution: fixed/implemented

Copied to github as #: 29478

Description

v.voronoi in grass also includes v.voronoi.skeleton to create skeleton center lines of areas/polygons. The dialog in qgis also has the
"Extract skeleton for input areas" option, but | can't select polygon areas to create the skeleton centerline with.

History

#1 - 2019-03-24 05:16 PM - Giovanni Manghi
- Operating System deleted (Linux)

- Assignee set to Giovanni Manghi

| had once added the tool to make the skeletons... | hope no one removed it, I'll have a look.

#2 - 2019-03-26 03:37 PM - Giovanni Manghi
- Regression? changed from No to Yes

- Priority changed from Normal to High

For some reason this was removed

https://github.com/qgis/QGIS/blob/release-2_18/python/plugins/processing/algs/grass7/description/v.voronoi.skeleton.txt

I'll will try re-add it.

#3 - 2019-03-29 02:27 AM - Giovanni Manghi
- Status changed from Open to In Progress

- Easy fix? changed from No to Yes

- Pull Request or Patch supplied changed from No to Yes

PR: https://github.com/qgis/QGIS/pull/9649

#4 - 2019-05-23 09:21 AM - Alexander Bruy
- Resolution set to fixed/implemented

- Status changed from In Progress to Closed
https://github.com/qgis/QGIS/blob/release-2_18/python/plugins/processing/algs/grass7/description/v.voronoi.skeleton.txt
https://github.com/qgis/QGIS/pull/9649

Fixed in master
